#include "autoroot/F_RF.h"
#include "fasterac/rf.h"

ClassImp (F_RF)


   F_RF::F_RF ()
   {
      Reset ();
   }


   void F_RF::Reset ()  {
      period_ns  = 2;
      trig_dt_ns = 2;
      pll_dt_ns  = 2;
      saturated  = false;
   }


   void F_RF::Reset (const faster_data_p data) {
     rf_data* rf;

     if (Data_Check (data)) {
        F_Data::Reset (data);
        rf = (rf_data*) faster_data_load_p (data);
        period_ns  = rf_period_ns  (*rf);
        trig_dt_ns = rf_trig_dt_ns (*rf);
        pll_dt_ns  = rf_pll_dt_ns  (*rf);
        saturated  = rf->saturated;
     }
   }


   TString F_RF::Type_Name ()
   {
      return "RF";
   }


   Bool_t F_RF::Type_Check (const Int_t type)
   {
      return (type == RF_DATA_TYPE_ALIAS);
   }

